////////////////////////////
//
//	Clip-4-Win MDI definitions
//
//	Copyright (C) 1993 Skelton Software, Kendal Cottage, Hillam, Leeds, UK.
//	All Rights Reserved.
//
////////////////////////////

#ifndef	C4W_MDI_CH
#define	C4W_MDI_CH


// Array elements of aMcs[], which is used with SendMessage() to the
// MDI client (so it will create a new MDI child)
//
// (these correspond to the members of the Windows MDICREATESTRUCT structure)

#define	MCS_szClass	1	// window class of MDI child
#define	MCS_szTitle	2	// title for the new MDI child window
#define	MCS_hOwner	3	// app instance doing the create
#define	MCS_x		4	// x co-ord (e.g. CW_USEDEFAULT)
#define	MCS_y		5	// y co-ord (e.g. CW_USEDEFAULT)
#define	MCS_cx		6	// width (e.g. CW_USEDEFAULT)
#define	MCS_cy		7	// height (e.g. CW_USEDEFAULT)
#define	MCS_style	8	// window style (WS_* values)
#define	MCS_lParam	9	// 32-bit app-specific value

#define	MCS_LENGTH	9	// length of array

#define	MCS_STRUCT_DEF	"str[2],int[5],dword,long"	// for a2bin(), bin2a()



// Array elements of aCcs[], which is used with CreateWindow("mdiclient", ...)
// so the MDI client knows info it needs
//
// (these correspond to the members of the Windows CLIENTCREATESTRUCT structure)

#define	CCS_hWindowMenu	1	// menu handle of frame's menu item called "Window"
#define	CCS_idFirstChild 2	// id of 1st MDI child
				// N.B. must have a reasonable number of id's
				//	after this one free, as MDI children
				//	use consecutive id's

#define	CCS_LENGTH	2	// length of array

#define	CCS_STRUCT_DEF	"int[2]"	// for a2bin(), bin2a()



#endif	// C4W_MDI_CH

